Name:           gtksourcecompletion
Version:        0.5.2
Release:        2%{?dist}
Summary:        Completion support for GtkSourceView

Group:          System Environment/Libraries
# Note: wrong license file supplied
# https://sourceforge.net/tracker2/?func=detail&aid=2582250&group_id=212508&atid=1022021
License:        LGPLv2+
URL:            http://gtksourcecomple.sourceforge.net/
Source0:        http://dl.sourceforge.net/gtksourcecomple/gtksourcecompletion-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtksourceview2-devel libglade2-devel
BuildRequires:  intltool gettext perl(XML::Parser)
#Requires:       

%description
GtkSourceCompletion is a code completion library for GtkSourceView.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
GtkSourceCompletion is a code completion library for GtkSourceView.

The gtksourcecompletion-devel package contains libraries and header
files for developing applications that use GtkSourceCoompletion


%package        doc
Summary:        Documentation files for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-doc

%description    doc
GtkSourceCompletion is a code completion library for GtkSourceView.

The gtksourcecompletion-doc package contains documentation for
GtkSourceCompletion.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
# COPYING is wrong, not bundling for now
%doc AUTHORS ChangeLog README TODO
%{_libdir}/*.so.*
%{_datadir}/gtksourcecompletion

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/gtksourcecompletion-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-,root,root,-)
%doc
%{_datadir}/gtk-doc/html/gtksourcecompletion-1.0


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb  5 2009 Michel Salim <salimma@fedoraproject.org> - 0.5.2-1
- Initial package

